Skip to main content
GET
/
shops
/
{shopId}
/
photos
List shop portfolio photos
curl --request GET \
  --url https://api.guile.app/shops/{shopId}/photos \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "<string>",
      "photo": {
        "id": "<string>",
        "binarySize": 123,
        "dimensions": {
          "width": 2,
          "height": 2
        },
        "url": "<string>",
        "createdAt": "2023-11-07T05:31:56Z",
        "updatedAt": "2023-11-07T05:31:56Z",
        "thumbnail_URL": "<string>",
        "rejectionReason": "<string>"
      },
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "sortOrder": 1,
      "metadata": {
        "service": {
          "id": "<string>",
          "name": "<string>",
          "cost": "456.78",
          "duration": "<string>"
        },
        "addOns": [
          {
            "id": "<string>",
            "name": "<string>",
            "cost": "456.78",
            "duration": "<string>"
          }
        ]
      }
    }
  ],
  "count": 1
}

Path Parameters

shopId
string
required

The unique, opaque system identifier for a resource. This case-sensitive ID is also used as path parameters in URLs or in other properties or parameters that reference a resource by ID rather than URL.

Response

Ok. The operation succeeded.

A list of photo assignments.

items
object[]
required
count
integer<int16>
required
Required range: x >= 0